Page MenuHomePhabricator

disable/enable interface with dhcp ip assignement fails to restart dhclient
Closed, ResolvedPublicBUG

Description

With the following interface configuration, once an IP address is acquired another IP address is not acquired until next reboot.

ethernet eth0 {
        address dhcp
        description "wan"
        duplex auto
        hw-id 0c:c4:7a:db:ef:8c
        smp-affinity auto
        speed auto
    }

Plugged the interface into multiple DHCP sources without success. Disabled and re-enabled the interface, interface stays blank, with no IP address. Even restarting networking via linux command line does nothing.

Details

Difficulty level
Unknown (require assessment)
Version
1.2-epa2
Why the issue appeared?
Will be filled on close

Event Timeline

ekim created this task.Jan 15 2019, 7:45 PM

Have you checked on the server DHCP server side for issues?

hagbard claimed this task.Jan 15 2019, 7:55 PM
ekim added a comment.Jan 15 2019, 8:09 PM

Yes, no issues on either DHCP server. All other clients on the network perform as expected.

hagbard added a comment.EditedJan 15 2019, 8:16 PM

@ekim I think I found it. When I put the interface into disabled mode and then delete disabled, the dhcp client isn't started anymore if the address is supposed to be received via dhcp, correct?

You can try: http://dev.packages.vyos.net/repositories/current/vyos/pool/main/v/vyatta-cfg-system/vyatta-cfg-system_0.20.44+vyos2+current18_amd64.deb or the rolling iso which is being built tonight.

hagbard renamed this task from Stagnant IP on DHCP interface to disable/enable interface with dhcp ip assignement fails to restart dhclient.Jan 15 2019, 8:32 PM
hagbard changed the task status from Open to Needs testing.
hagbard triaged this task as Normal priority.
ekim added a comment.Jan 16 2019, 2:15 AM

That’s correct, when deleting disable from the interface config. Additionally, It doesn’t seem like dhclient gets triggered when a physical interface is unplugged then plugged back into that same port, but should receive a new address as a different dhcp serving a different dinner is available

@ekim Yeah, that is a known issue I was looking into a while ago already. disable/enable in eth interfaces should now work in the latest rolling, the plug-in and unplug will still need a little. I'll keep this task here open for it.

All right @ekim I have that feature working in an experimental package. If you want to test it you can build it from here:
https://github.com/hagbard-01/vyos-netplug via dpkg-buildpackage -b -tc -uc -us and install it on any rolling iso. I used the latest for my tests, but it should work on older ones too. It will still take a little time to have that pushed into the normal build process, since it requires some integration work.

hagbard changed the status of subtask T894: DHCP not renewed after switching network from Open to In progress.Jan 17 2019, 8:09 PM
hagbard changed the status of subtask T894: DHCP not renewed after switching network from In progress to Needs testing.Jan 18 2019, 7:07 PM

@ekim https://downloads.vyos.io/rolling/current/amd64/vyos-1.2.0-rolling%2B201901181924-amd64.iso should address the dhcp issue, can you please test? I only tested on VMs yet.

ekim added a comment.Jan 19 2019, 1:34 AM

Absolutely -- I'll test it next week!

pasik added a subscriber: pasik.Jan 21 2019, 9:41 PM
kmpm added a comment.Jan 22 2019, 11:52 AM

vyos-1.2.0-rolling+201901181924-amd64.iso fixed it for me.

hagbard closed this task as Resolved.Jan 22 2019, 6:15 PM

Thx for testing.